%define qtdir /usr/lib/qt3
%define beta Beta2
%define objprelink 1

Name: kcommander3
Version: 3.0
Release: alt3.%beta

Source: %name-%version%beta.tar.bz2
Source1: %name.desktop
Source2: kcommander3_hi.png
Source3: kcommander3_lo.png

Group: File tools
Summary: KDE filemanager
URL: http://www.kcommander.org
License: GPL

Provides: kcommander2
Obsoletes: kcommander2

# Automatically added by buildreq on Mon May 06 2002
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ libcups libjpeg-devel liblcms libmng libpng-devel libqt3-devel libssl libstdc++-devel zlib-devel

BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: libjpeg-devel liblcms libmng libpng-devel libqt3-devel
BuildRequires: libssl libstdc++-devel zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

%description
Kcommander2 is a KDE filemanager.

%prep
%setup -q

%build
export QTDIR=%qtdir
%configure

%if %objprelink
%make_build CXX=g++prelink CXXFLAGS="%optflags"
%else
%make_build CXXFLAGS="%optflags"
%endif

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot/%_docdir/%name-%version
mv %buildroot/usr/doc/%name %buildroot/%_docdir/%name-%version

mkdir -p "%buildroot/%_datadir/applnk/Applications/File tools"
cp %SOURCE1 "%buildroot/%_datadir/applnk/Applications/File tools"

# Install 16x16 icons for menus
mkdir -p %buildroot/%_iconsdir/hicolor/16x16/apps/
mkdir -p %buildroot/%_iconsdir/locolor/16x16/apps/
cp %SOURCE2 "%buildroot/%_iconsdir/hicolor/16x16/apps/kcommander3.png"
cp %SOURCE3 "%buildroot/%_iconsdir/locolor/16x16/apps/kcommander3.png"
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl kcommander3 "Applications/File tools" "%buildroot/%_datadir/applnk/Applications/File tools/kcommander3.desktop"     %buildroot/%_menudir/kcommander3

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/kcommander3
%_menudir/kcommander3
#%_datadir/apps/kcommander3
%_datadir/applnk/Applications/File*tools/kcommander3.desktop
%_iconsdir/*/*/*/*
%_docdir/%name-%version

%changelog
* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt3.Beta2
- rebuild with gcc 3.2

* Mon May 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt1.Beta2
- new version (KDE3)

* Thu Oct 11 2001 Konstantin Volckov <goldhead@altlinux.ru>
- Rebuilt with libpng.so.3
- 1.94

* Thu May 15 2001 Konstantin Volckov <goldhead@altlinux.ru>
- Added 16x16 icons

* Thu May 10 2001 Konstantin Volckov <goldhead@altlinux.ru>
- build for Sisyphus
